Bug 251225 - pygrub leaves initrd and vmlinuz images on dom0 after dryrun xm create
pygrub leaves initrd and vmlinuz images on dom0 after dryrun xm create
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 16:31 EDT by daniel miles
Modified: 2009-12-14 16:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0305
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes to pygrub (2.18 KB, patch)
2007-08-07 16:41 EDT, daniel miles
no flags Details | Diff
changes to xm create (483 bytes, patch)
2007-08-07 16:42 EDT, daniel miles
no flags Details | Diff
fixes to XendBootloader.py (821 bytes, text/plain)
2007-08-07 16:44 EDT, daniel miles
no flags Details
Unlink kernel/initrd after running bootloader in dryrun mode (1.01 KB, patch)
2008-01-03 14:42 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description daniel miles 2007-08-07 16:31:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.3) Gecko/20061201 Firefox/2.0.0.3 (Ubuntu-feisty)

Description of problem:
When starting a machine that uses pygrub in dryrun mode (xm create -n /etc/xen/machine_name), pygrub pulls the kernel and initrd images out of the virtual disk and puts them on dom0's disk. Usually they are removed when the machine is shut down but as dryrun mode doesn't actually start the machine, it never gets shut down and the images never get removed.

Version-Release number of selected component (if applicable):
xen-3.0.3-25.el5

How reproducible:
Always


Steps to Reproduce:
1) Use virt-manager to create a virtual machine, this will cause your virtual machine descriptor file to use the bootloader.
2) Run xm create -n -q /full/path/to/virtual/machine/descriptor

Actual Results:
vmlinuz and initrd files have appeared in /var/lib/xen

Expected Results:
that they would not be there

Additional info:
Comment 1 daniel miles 2007-08-07 16:41:48 EDT
Created attachment 160855 [details]
fixes to pygrub

patch formatted to be applied during rpmbuild
Comment 2 daniel miles 2007-08-07 16:42:57 EDT
Created attachment 160856 [details]
changes to xm create

patch formatted to be applied during rpmbuild
Comment 3 daniel miles 2007-08-07 16:44:55 EDT
Created attachment 160857 [details]
fixes to XendBootloader.py

patch formatted to be applied during rpmbuild
Comment 4 daniel miles 2007-08-07 16:45:46 EDT
all three patches together should fix the problem
Comment 5 RHEL Product and Program Management 2007-10-15 23:50:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Markus Armbruster 2007-10-31 11:10:14 EDT
The patches fix the bug by adding a --dryrun option to pygrub.  That's a
feature, not just a fix.  It's not upstream, and therefore not appropriate for
RHEL, in my opinion.
Comment 8 Daniel Berrange 2008-01-03 14:42:35 EST
Created attachment 290768 [details]
Unlink kernel/initrd after running bootloader in dryrun mode

As markus noted the previous patches are over-engineering the solution for
RHEL5. Attaching the minimal patch which addresses the issue.
Comment 9 Daniel Berrange 2008-01-03 16:11:09 EST
Fix built for QA

$ brew latest-pkg dist-5E-qu-candidate xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-43.el5                          dist-5E-qu-candidate  berrange

* Thu Jan  3 2008 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-43.el5
- Delete kernel/initrd after dryrun xm create (rhbz #251225)
Comment 12 errata-xmlrpc 2008-05-21 11:19:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0305.html

Note You need to log in before you can comment on or make changes to this bug.